org.h2.command.dml

## Class ScriptCommand

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.ScriptCommand

    public class ScriptCommand
    extends Prepared

This class represents the statement SCRIPT

### Field Summary

Fields
`protected java.io.OutputStream` `out` The output stream.
`protected java.io.BufferedReader` `reader` The input reader.

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

### Constructor Summary

Constructors
Constructor and Description
`ScriptCommand(SessionLocal session)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.io.InputStream` `combineBlob(java.sql.Connection conn, int id)` Combine a BLOB.
`static java.io.Reader` `combineClob(java.sql.Connection conn, int id)` Combine a CLOB.
`protected java.lang.String` `getFileName()`
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isQuery()` Check if this object is a query.
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`ResultInterface` `query(long maxrows)` Execute the query.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setCharset(java.nio.charset.Charset charset)`
`void` `setCipher(java.lang.String c)`
`void` `setCompressionAlgorithm(java.lang.String algorithm)`
`void` `setData(boolean data)`
`void` `setDrop(boolean drop)`
`void` `setFileNameExpr(Expression file)`
`void` `setLobBlockSize(long blockSize)`
`void` `setPassword(Expression password)`
`void` `setPasswords(boolean passwords)`
`void` `setSchemaNames(java.util.Set<java.lang.String> schemaNames)`
`void` `setSettings(boolean settings)`
`void` `setSimple(boolean simple)`
`void` `setTables(java.util.Collection<Table> tables)`
`void` `setVersion(boolean version)`
`void` `setWithColumns(boolean withColumns)`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isReadOnly, isWithParamValues, prepare, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### out

    protected java.io.OutputStream out

The output stream.

#### reader

    protected java.io.BufferedReader reader

The input reader.

### Constructor Detail

#### ScriptCommand

    public ScriptCommand(SessionLocal session)

### Method Detail

#### isQuery

    public boolean isQuery()

Description copied from class: `Prepared`
Check if this object is a query.

Overrides:
  `isQuery` in class `Prepared`
Returns:
  true if it is

#### setSchemaNames

    public void setSchemaNames(java.util.Set<java.lang.String> schemaNames)

#### setTables

    public void setTables(java.util.Collection<Table> tables)

#### setData

    public void setData(boolean data)

#### setPasswords

    public void setPasswords(boolean passwords)

#### setSettings

    public void setSettings(boolean settings)

#### setLobBlockSize

    public void setLobBlockSize(long blockSize)

#### setDrop

    public void setDrop(boolean drop)

#### queryMeta

    public ResultInterface queryMeta()

Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

#### query

    public ResultInterface query(long maxrows)

Description copied from class: `Prepared`
Execute the query.

Overrides:
  `query` in class `Prepared`
Parameters:
  `maxrows` - the maximum number of rows to return
Returns:
  the result set

#### combineBlob

    public static java.io.InputStream combineBlob(java.sql.Connection conn,
                                                  int id)
                                           throws java.sql.SQLException

Combine a BLOB. This method is called from the script. When calling with id -1, the file is deleted.

Parameters:
  `conn` - a connection
  `id` - the lob id
Returns:
  a stream for the combined data
Throws:
  `java.sql.SQLException` - on failure

#### combineClob

    public static java.io.Reader combineClob(java.sql.Connection conn,
                                             int id)
                                      throws java.sql.SQLException

Combine a CLOB. This method is called from the script.

Parameters:
  `conn` - a connection
  `id` - the lob id
Returns:
  a reader for the combined data
Throws:
  `java.sql.SQLException` - on failure

#### setSimple

    public void setSimple(boolean simple)

#### setWithColumns

    public void setWithColumns(boolean withColumns)

#### setVersion

    public void setVersion(boolean version)

#### setCharset

    public void setCharset(java.nio.charset.Charset charset)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### setCipher

    public void setCipher(java.lang.String c)

#### setPassword

    public void setPassword(Expression password)

#### setFileNameExpr

    public void setFileNameExpr(Expression file)

#### getFileName

    protected java.lang.String getFileName()

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

#### needRecompile

    public boolean needRecompile()

Description copied from class: `Prepared`
Check if the statement needs to be re-compiled.

Overrides:
  `needRecompile` in class `Prepared`
Returns:
  true if it must

#### setCompressionAlgorithm

    public void setCompressionAlgorithm(java.lang.String algorithm)